Bug 672365 - Review Request: clutter-gtk010 - A basic GTK2 clutter widget
Summary: Review Request: clutter-gtk010 - A basic GTK2 clutter widget
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: MeeGo12
TreeView+ depends on / blocked
 
Reported: 2011-01-24 23:09 UTC by Peter Robinson
Modified: 2011-01-31 02:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-31 02:33:36 UTC
Type: ---
awilliam: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Peter Robinson 2011-01-24 23:09:17 UTC
SPEC: http://pbrobinson.fedorapeople.org/clutter-gtk010.spec
SRPM: http://pbrobinson.fedorapeople.org/clutter-gtk010-0.10.8-3.fc15.src.rpm

Description:
This allows clutter to be embedded in GTK applications. 
We hope with further work in the future clutter-gtk will 
also allow the reverse, namely embedding GTK in Clutter

This is a compat package for dependent packages that have
yet to be ported gtk3.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=2740483

Comment 1 Adam Williamson 2011-01-29 19:02:15 UTC
It builds in mock. rpmlint output is clean except for spelling errors:

clutter-gtk010.src: W: spelling-error %description -l en_US gtk -> gt, gtd, gt k
clutter-gtk010.src: W: spelling-error %description -l en_US compat -> compar, compact, combat
clutter-gtk010.x86_64: W: spelling-error %description -l en_US gtk -> gt, gtd, gt k
clutter-gtk010.x86_64: W: spelling-error %description -l en_US compat -> compar, compact, combat
clutter-gtk010-devel.x86_64: W: spelling-error Summary(en_US) gtk -> gt, gtd, gt k
clutter-gtk010-devel.x86_64: W: no-documentation

all MUST items are okay. Checked there are no conflicts with F15's clutter-gtk packages and this can install alongside them happily.

note package is only slightly modified from existing clutter-gtk package, which has passed review.

review APPROVED.

Comment 2 Peter Robinson 2011-01-29 20:03:56 UTC
New Package GIT Request
=======================
Package Name: clutter-gtk010
Short Description: A basic GTK2 clutter widget
Owners: pbrobinson
Branches: devel
InitialCC:

Comment 3 Dennis Gilmore 2011-01-31 00:07:07 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.